Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 533266 - dev-perl/File-KeePass-2.30.0 should depend on dev-perl/XML-Parser - Couldn't load the file sync/keep/keep.kdbx: Cannot load XML library to parse database: Can't locate XML/Parser.pm in @INC
Summary: dev-perl/File-KeePass-2.30.0 should depend on dev-perl/XML-Parser - Couldn't ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-22 08:18 UTC by Francisco J. Vazquez
Modified: 2014-12-27 19:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco J. Vazquez 2014-12-22 08:18:38 UTC
File-KeePass depends on XML-Parser. See function parse_xml in line 1133. If you try to open a kdbx database with app-admin/kpcli (for example) you'll get:

Couldn't load the file sync/keep/keep.kdbx: Cannot load XML library to parse database: Can't locate XML/Parser.pm in @INC (you may need to install the XML::Parser module) (@INC contains: /etc/perl /usr/local/lib64/perl5/5.20.1/x86_64-linux /usr/local/lib64/perl5/5.20.1 /usr/lib64/perl5/vendor_perl/5.20.1/x86_64-linux /usr/lib64/perl5/vendor_perl/5.20.1 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.20.1/x86_64-linux /usr/lib64/perl5/5.20.1 .) at /usr/lib64/perl5/vendor_perl/5.20.1/File/KeePass.pm line 1135

Reproducible: Always
Comment 1 Jeroen Roovers gentoo-dev 2014-12-22 08:51:45 UTC

*** This bug has been marked as a duplicate of bug 41124 ***
Comment 2 Francisco J. Vazquez 2014-12-22 09:11:07 UTC
(In reply to Jeroen Roovers from comment #1)
> 
> *** This bug has been marked as a duplicate of bug 41124 ***

Huh? WTF are you talking about? This is not XML-Parser being in an old vendor_perl directory. I don't have XML-Parser installed. *Nothing* in my system RDEPENDS on it (just File-KeePass).
Comment 3 Francisco J. Vazquez 2014-12-23 10:06:10 UTC
I don't know if I should open a new bug or reopen this, but I'm doing the latter in case you don't receive emails of closed bugs. 

In case I wasn't clear in my previous message:

~ $ equery depends XML-Parser
 * These packages depend on XML-Parser:
~ $ 

This is a binpkg machine; I have no intltool installed, so no XML-Parser here either. It should be a RDEPEND dependency of File-KeePass.
Comment 4 Andreas K. Hüttel gentoo-dev 2014-12-27 19:51:54 UTC
Added, thanks